Avertissement Android Studio minSdkVersion et targetSdkVersion

Dans un projet Android que j'ai, j'ai cette section dans le fichier build.gradle:

android { compileSdkVersion 19 buildToolsVersion "19.0.3" defaultConfig { minSdkVersion 16 targetSdkVersion 19; } } 

Sur les propriétés 'minSdkVersion' et 'targetSdkVersion', il y a les avertissements:

  • Déterminer si une activité existe sur le périphérique actuel?
  • Ptrace return -1 sur Android
  • Ensemble de chaînes dans SharedPreferences
  • Activité de préférence sur la préférence Click Listener
  • Hauteur de disposition en pourcentage d'Android
  • Bouclez pour télécharger des images de liste une par une
  •  'minSdkVersion' cannot be applied to '(java.lang.Integer)' 'targetSdkVersion' cannot be applied to '(java.lang.Integer)` 

    Est-ce un bug, ou autre chose?

  • Est-il possible de perdre une connexion à la base de données SQLite?
  • ANDROID: Comment puis-je télécharger un fichier vidéo sur une carte SD?
  • VectorDrawable - est-il disponible en quelque sorte pour les versions pré-Lollipop d'Android?
  • Version Android de version automatique de git décrivez avec Android Studio / Gradle
  • Émission de ressources.openRawResource () Android
  • Utilisation de ma propre bibliothèque partagée dans un projet NDK Android
  • One Solution collect form web for “Avertissement Android Studio minSdkVersion et targetSdkVersion”

    C'est un bug, mais je n'ai pas de numéro d'erreur. La vérification de la syntaxe pour les fichiers build.gradle est incomplète, et cet avertissement est faux. Ignorez-le.

    coAndroid est un fan Android de Google, tout sur les téléphones Android, Android Wear, Android Dev et Android Games Apps.